Subject: Re: Initrd and PPCbug, can it work?

From: Oliver Korpilla <[email-masked]>
Date: Tue, 27 Apr 2004 14:42:54 +0200

Magnus Damm wrote:
>>Maybe this is an endianess problem in my initrds?
>
>
> As long as you use ext2 you should not have any endian problems.
>
> It might be tempting to use other fancy filesystems, but I don't
> like endian problems so I usually stick to ext2. I create my
> ext2 initrds on x86 systems and use them on ppc without problems.
>

Yeah, I see. But this may be the problem that I had the cramfs error
messages even with a cramfs initrd - this is endian sensitive and only
makes little-endian - won't work without a patch, so I really better
stick with ext2,hm?

Thanks,
Oliver Korpilla

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/